# Drawing the scatterplot of the p-values on the linear scale.
# Should be run after scatter_ICP.R or a similar program.
# Used in the paper for Figure 2.

# pdf("tofindeasily.pdf") # Matloff, Chapter 1, Batch Mode; gives a mistake
# par(mar=c(2,2,1,1))     # smaller margins (the default, (6,4,4,2), is too big unless I need labels for axes)
par(mfrow=c(1,3))         # I want 3 plots in one

plot(p.email,p.spam,pch=20,asp=1,   # paper version: col="red",pch=4
  xlim=c(0,1),ylim=c(0,1),xlab="email p-value",ylab="spam p-value",main="Email and spam")

# Paper version: in different colours
# plot(p.email[labels==1],p.spam[labels==1],pch=20,asp=1,   # paper version: col="red",pch=4
#   xlim=c(0,1),ylim=c(0,1),xlab="email p-value",ylab="spam p-value",main="Email and spam")
# points(p.email[labels==0],p.spam[labels==0],pch=20)       # paper version: pch=1,col="green"

plot(jitter(p.email[labels==0],amount=0.01),jitter(p.spam[labels==0],amount=0.01),pch=20,asp=1,
  # paper version: pch=1,col="green"
  xlim=c(0,1),ylim=c(0,1),xlab="email p-value",ylab="spam p-value",main="Email only with 1% jitter")
plot(jitter(p.email[labels==1],amount=0.01),jitter(p.spam[labels==1],amount=0.01),pch=20,asp=1,
  # paper version: col="red",pch=4
  xlim=c(0,1),ylim=c(0,1),xlab="email p-value",ylab="spam p-value",main="Spam only with 1% jitter")

# dev.off()               # Matloff, Chapter 1, Batch Mode
