# Used in the paper for Figure 8
# (the probability of error E vs delta from Propositions 2b and 2a)

# These are the overall errors on the test set for the first 8 seeds
E.bound <- 0.12  # for paper: 0.12
E.set <- seq(from=0,to=E.bound,by=0.001)
n <- length(E.set)
delta.set <- rep(0,n)
E.set.bound <- rep(0,n)

for (i in 1:n) {
  delta.set[i] <- pbinom(49,999,E.set[i])
  E.set.bound[i] <- 0.05 + sqrt(log(1/delta.set[i])/1998)
}

# Plotting
# par(mar=c(2,2,1,1))  # smaller margins (the default, (6,4,4,2), is too big unless I need a title and labels for axes)

plot(delta.set,E.set,asp=1,type="l",col="blue",lwd=3,
  xlim=c(0.0001,1),ylim=c(0,E.bound),xlab=expression(delta),ylab=expression(E),
  xaxt="n",yaxt="n",log="x")
lines(delta.set,E.set.bound,col="red")
# lines(c(0.125,0.125),c(0,E.bound),col="green",lty="dotted")
points(0.125,0.058,col="black",pch=16)
lines(c(0.0001,1),c(0.05,0.05),col="green",lty="dotted")
axis(1,c(0.0001,0.001,0.01,0.1,1))
axis(2,c(0.01,0.02,0.03,0.04,0.05,0.06,0.07,0.08,0.09,0.1,0.11))
